summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Johannes Schoepfer2019-11-16 15:02:52 +0100
committer Willy Sudiarto Raharjo2019-11-16 15:02:52 +0100
commitd21f4d38511008a9dcffa22b58162f361f69b00c (patch)
treee3d23b91f4c85059360169362a21beb868e38f4e /audio
parent1931955156bf53b21a7d2d68e76a74e5e626f336 (diff)
downloadslackbuilds-d21f4d38511008a9dcffa22b58162f361f69b00c.tar.gz
audio/linuxsampler: Updated for v 2.1.1, moved from multimedia.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/linuxsampler/README11
-rw-r--r--audio/linuxsampler/gcc47.patch12
-rw-r--r--audio/linuxsampler/linuxsampler.SlackBuild113
-rw-r--r--audio/linuxsampler/linuxsampler.info10
-rw-r--r--audio/linuxsampler/slack-desc19
5 files changed, 165 insertions, 0 deletions
diff --git a/audio/linuxsampler/README b/audio/linuxsampler/README
new file mode 100644
index 0000000000..1169549054
--- /dev/null
+++ b/audio/linuxsampler/README
@@ -0,0 +1,11 @@
+The LinuxSampler project was founded with the goal to produce a free
+streaming-capable open source pure software audio sampler with professional
+grade features.
+
+Optional dependencies: jack-audio-connection-kit||jack2, lv2, dssi, ladspa_sdk
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/linuxsampler/gcc47.patch b/audio/linuxsampler/gcc47.patch
new file mode 100644
index 0000000000..d021a01e0c
--- /dev/null
+++ b/audio/linuxsampler/gcc47.patch
@@ -0,0 +1,12 @@
+diff -Naur linuxsampler-1.0.0.orig/src/common/Pool.h linuxsampler-1.0.0/src/common/Pool.h
+--- linuxsampler-1.0.0.orig/src/common/Pool.h 2008-12-07 01:18:04.000000000 +0100
++++ linuxsampler-1.0.0/src/common/Pool.h 2012-09-17 15:27:17.580041864 +0200
+@@ -393,7 +393,7 @@
+ inline Iterator allocAppend() {
+ if (pPool->poolIsEmpty()) return RTListBase<T>::begin();
+ Iterator element = pPool->alloc();
+- append(element);
++ this->append(element);
+ #if CONFIG_DEVMODE
+ element.list = this;
+ #endif // CONFIG_DEVMODE
diff --git a/audio/linuxsampler/linuxsampler.SlackBuild b/audio/linuxsampler/linuxsampler.SlackBuild
new file mode 100644
index 0000000000..9425f7cb16
--- /dev/null
+++ b/audio/linuxsampler/linuxsampler.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for linuxsampler
+
+# Written by Michales Michaloudes korgie@gmail.com
+# Copyright 2019 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=linuxsampler
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Only add capability stuff if not disabled:
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ # set realtime capabilities
+ echo "/sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/linuxsampler" >> $PKG/install/doinst.sh
+ # Only allow execution by audio group
+ chown root:audio $PKG/usr/bin/*
+ chmod 0750 $PKG/usr/bin/*
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/linuxsampler/linuxsampler.info b/audio/linuxsampler/linuxsampler.info
new file mode 100644
index 0000000000..6aeadc06dc
--- /dev/null
+++ b/audio/linuxsampler/linuxsampler.info
@@ -0,0 +1,10 @@
+PRGNAM="linuxsampler"
+VERSION="2.1.1"
+HOMEPAGE="https://linuxsampler.org/"
+DOWNLOAD="https://download.linuxsampler.org/packages/linuxsampler-2.1.1.tar.bz2"
+MD5SUM="8fda14da0ccfc141d5af08daedccaae6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgig"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/audio/linuxsampler/slack-desc b/audio/linuxsampler/slack-desc
new file mode 100644
index 0000000000..07ded6917b
--- /dev/null
+++ b/audio/linuxsampler/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+linuxsampler: linuxsampler (audio sampler software)
+linuxsampler:
+linuxsampler: The LinuxSampler project was founded with the goal to produce a
+linuxsampler: free, streaming capable open source pure software audio sampler
+linuxsampler: with professional grade features, comparable to both hardware
+linuxsampler: and commercial Windows/Mac software samplers and to introduce
+linuxsampler: new features not yet available by any other sampler in the
+linuxsampler: world.
+linuxsampler:
+linuxsampler:
+linuxsampler: